<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<p
		[attr.aria-level]="headingLevel"
		[attr.role]="headingLevel ? 'heading' : null"
		[ngClass]="headingClass"
		class="list--name mb-1 fw-normal"
>
	<span *ngIf="screenReaderLabel" class="visually-hidden">{{ screenReaderLabel }}</span>

	<span [class.fst-italic]="!list">
    {{ list ? list.details?.listType_attribute1 : listPlaceholder }}
  </span>
</p>

<ul *ngIf="showAllDetails && listDetails.length" class="list--details list-unstyled text-dark text-opacity-75 mb-0">
	<li *ngFor="let detail of listDetails">{{ detail }}</li>
</ul>
